unit UnitPlatformScale05Weight;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls,printers, Spin, Grids, PlatformScale;

type
  TFormPlatformScale05Weight = class(TForm)
    PrinterSetupDialog1: TPrinterSetupDialog;
    PrintDialog1: TPrintDialog;
    LabelMondai: TLabel;
    LabelHyoudai1: TLabel;
    LabelGappiNamae: TLabel;
    LabelHurigana: TLabel;
    LabelAnswer1: TLabel;
    LabelAnswer2: TLabel;
    LabelAnswer3: TLabel;
    LabelAnswer4: TLabel;
    LabelAnswer5: TLabel;
    LabelAnswer6: TLabel;
    ListBoxWeight: TListBox;
    LabelHyoudai2: TLabel;
    LabelProjectName: TLabel;
    PlatformScale1: TPlatformScale;
    PlatformScale2: TPlatformScale;
    PlatformScale3: TPlatformScale;
    PlatformScale4: TPlatformScale;
    PlatformScale5: TPlatformScale;
    PlatformScale6: TPlatformScale;
    PanelButtons: TPanel;
    ButtonPrinterSetup: TButton;
    ButtonPrintOut: TButton;
    ButtonNew: TButton;
    ButtonStart: TButton;
    GroupBoxStart: TGroupBox;
    ButtonRadioGroupStartClose: TButton;
    RadioGroupUnit: TRadioGroup;
    RadioGroup1: TRadioGroup;
    GroupBoxRange: TGroupBox;
    LabelRange: TLabel;
    SpinEditMin: TSpinEdit;
    SpinEditMax: TSpinEdit;
    GroupBoxDivision: TGroupBox;
    RadioButtonDivision10g: TRadioButton;
    RadioButtonDivision20g: TRadioButton;
    RadioButtonDivision50g: TRadioButton;
    RadioButtonDivision100g: TRadioButton;
    RadioButtonDivision200g: TRadioButton;
    RadioButtonDivision500g: TRadioButton;
    RadioButtonDivision1kg: TRadioButton;
    RadioButtonDivision2kg: TRadioButton;
    RadioButtonDivision5kg: TRadioButton;
    RadioButtonDivision10kg: TRadioButton;
    GroupBox1: TGroupBox;
    RadioGroupSparselyDensely: TRadioGroup;
    RadioGroupPer200: TRadioGroup;
    RadioGroupKind: TRadioGroup;
    RadioGroupShow: TRadioGroup;
    StringGrid1: TStringGrid;

    procedure FormCreate(Sender: TObject);
    procedure ButtonPrintOutClick(Sender: TObject);
    procedure ButtonPrinterSetupClick(Sender: TObject);
    procedure Renew(Sender: TObject);
    procedure ButtonRadioGroupStartCloseClick(Sender: TObject);
    procedure ButtonStartClick(Sender: TObject);
    procedure RadioGroupUnitClick(Sender: TObject);
    procedure RadioGroupKindClick(Sender: TObject);
    procedure RadioButtonDivision10gClick(Sender: TObject);
    procedure RadioButtonDivision100gClick(Sender: TObject);
    procedure RadioButtonDivision20gClick(Sender: TObject);
    procedure RadioButtonDivision50gClick(Sender: TObject);
    procedure RadioButtonDivision200gClick(Sender: TObject);
    procedure RadioButtonDivision500gClick(Sender: TObject);
    procedure RadioButtonDivision1kgClick(Sender: TObject);
    procedure RadioButtonDivision2kgClick(Sender: TObject);
    procedure RadioButtonDivision5kgClick(Sender: TObject);
    procedure RadioButtonDivision10kgClick(Sender: TObject);
    procedure RadioGroupSparselyDenselyClick(Sender: TObject);
    procedure RadioGroupPer200Click(Sender: TObject);
    procedure RadioGroupShowClick(Sender: TObject);
    procedure SpinEditMinChange(Sender: TObject);
    procedure SpinEditMaxChange(Sender: TObject);
  private
    { Private 錾 }
    procedure RansuuHassei;
    procedure HyoudaiSaihyouji;
  public
    { Public 錾 }
  end;

var
  FormPlatformScale05Weight: TFormPlatformScale05Weight;

var
  BmpFileName:string;          //BmpC[Wt@C
  Kankaku1000_1:integer;         // 1000~D1ƂXW̍
  Kankaku1000_2:integer;         // 1000~DЂƂ܂Ƃ܂育ƂXW̍
  Kankaku500_1:integer;          //  500~1ƂXW̍
  Kankaku500_2:integer;          //@500~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku100_1:integer;        //100~1ƂXW̍
  Kankaku100_2:integer;        //100~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku50_1:integer;         // 50~1ƂXW̍
  Kankaku50_2:integer;         // 50~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku10_1:integer;         // 10~1ƂXW̍
  Kankaku10_2:integer;         // 10~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku5_1:integer;          //  5~1ƂXW̍
  Kankaku5_2:integer;          //@5~ʂЂƂ܂Ƃ܂育ƂXW̍
  Kankaku1_1:integer;          //  1~1ƂXW̍
  Kankaku1_2:integer;          //  1~ʂЂƂ܂Ƃ܂育ƂXW̍
  matomari1000:integer;          // 1000~DЂƂ܂Ƃ܂̖
  matomari500:integer;           //  500~DЂƂ܂Ƃ܂̖
  matomari100:integer;         //100~ʂЂƂ܂Ƃ܂̖
  matomari50:integer;          // 50~ʂЂƂ܂Ƃ܂̖
  matomari10:integer;          // 10~ʂЂƂ܂Ƃ܂̖
  matomari5:integer;           //  5~ʂЂƂ܂Ƃ܂̖
  matomari1:integer;           //  1~ʂЂƂ܂Ƃ܂̖
  count:integer;//ImageR|[lg̐
implementation

{$R *.DFM}

var division: integer;//
    sWeight:string;//LabelHyoudaip
    sDivision: string;//LabelHyoudaip
    sSparselyDensely: string;//LabelHyoudaip
    sPer200: string;//LabelHyoudaip
    sUnit: string;//LabelHyoudaip
    sShow: String;//LabelHyoudaip

procedure TFormPlatformScale05Weight.RansuuHassei;
var i: integer;
    _start,_end,_num:integer;
begin
  ListBoxWeight.Clear;
  _start:= {SpinEditMin.Increment/division=}1; _end:=round((SpinEditMax.MaxValue- division)/division);
  for i:= _start to _end do begin _num:=division*i; ListBoxWeight.Items.Add(inttostr(_num)); end;
  StringGrid1.ColCount:=7;
  randomize;
  for i:=1 to 6 do
  begin
    _num:=random(ListBoxWeight.items.count);
    StringGrid1.Cells[i,1]:=ListBoxWeight.Items[_num];
    ListBoxWeight.Items.Delete(_num);
  end;

  PlatformScale1.Value:= strtoint(stringgrid1.Cells[1,1]);
  PlatformScale2.Value:= strtoint(stringgrid1.Cells[2,1]);
  PlatformScale3.Value:= strtoint(stringgrid1.Cells[3,1]);
  PlatformScale4.Value:= strtoint(stringgrid1.Cells[4,1]);
  PlatformScale5.Value:= strtoint(stringgrid1.Cells[5,1]);
  PlatformScale6.Value:= strtoint(stringgrid1.Cells[6,1]);
end;

procedure TFormPlatformScale05Weight.HyoudaiSaihyouji;
var s1,s2: string;
begin
  s1:='';
  s1:=s1+sWeight+sSparselyDensely+ sPer200+sDivision;
  LabelHyoudai1.Caption:=s1;

  s2:='';
  s2:=s2+'͈:'+ inttostr(SpinEditMin.value)+'g ` '+ inttostr(SpinEditMax.value div 1000)+'kg, '+sShow+sUnit;
  LabelHyoudai2.Caption:=s2;

  case RadioGroupUnit.ItemIndex of
    0:begin
        LabelAnswer1.Caption:='    @  g';
        LabelAnswer2.Caption:='    @  g';
        LabelAnswer3.Caption:='    @  g';
        LabelAnswer4.Caption:='    @  g';
        LabelAnswer5.Caption:='    @  g';
        LabelAnswer6.Caption:='    @  g';
      end;
    1:begin
        LabelAnswer1.Caption:='    @ kg';
        LabelAnswer2.Caption:='    @ kg';
        LabelAnswer3.Caption:='    @ kg';
        LabelAnswer4.Caption:='    @ kg';
        LabelAnswer5.Caption:='    @ kg';
        LabelAnswer6.Caption:='    @ kg';
      end;
    2:begin
        if PlatformScale1.value>999 then LabelAnswer1.Caption:=' kg @  g' else LabelAnswer1.Caption:='    @  g';
        if PlatformScale2.value>999 then LabelAnswer2.Caption:=' kg @  g' else LabelAnswer2.Caption:='    @  g';
        if PlatformScale3.value>999 then LabelAnswer3.Caption:=' kg @  g' else LabelAnswer3.Caption:='    @  g';
        if PlatformScale4.value>999 then LabelAnswer4.Caption:=' kg @  g' else LabelAnswer4.Caption:='    @  g';
        if PlatformScale5.value>999 then LabelAnswer5.Caption:=' kg @  g' else LabelAnswer5.Caption:='    @  g';
        if PlatformScale6.value>999 then LabelAnswer6.Caption:=' kg @  g' else LabelAnswer6.Caption:='    @  g';
      end;
  end;
end;

procedure TFormPlatformScale05Weight.FormCreate(Sender: TObject);
var c: integer;//XgOObh̗
begin
  LabelProjectName.caption:='PlatformScale05Weight';

  division:=10;//
  RadioGroupKind.ItemIndex:=1;
  RadioButtonDivision100g.Checked:=true;
  RadioGroupSparselyDensely.ItemIndex:=1;
  RadioGroupUnit.ItemIndex:=2;
  RadioGroupShow.ItemIndex:=0;
  Stringgrid1.EditorMode:= true;
  StringGrid1.ColWidths[0]:= 36;
  for c:=1 to 4 do stringgrid1.Cells[c,0]:=inttostr(c);
  Stringgrid1.Cells[0, 0]:='';
  StringGrid1.Cells[1, 0]:='1';
  StringGrid1.Cells[2, 0]:='2';
  StringGrid1.Cells[3, 0]:='3';
  StringGrid1.Cells[4, 0]:='4';
  StringGrid1.Cells[5, 0]:='5';
  StringGrid1.Cells[6, 0]:='6';
  StringGrid1.Cells[0, 1]:='d';


  //l
  ransuuHassei;

  ButtonStart.Hide;
  Stringgrid1.Hide;
  ListBoxWeight.hide;
  Color:= clWhite;
  BorderStyle:= bsSizeable;
  PrintScale:= poPrintToFit;
  Scaled:= True;

  Renew(Sender);
end;

procedure TFormPlatformScale05Weight.ButtonPrinterSetupClick(Sender: TObject);
begin
  PrinterSetupDialog1.Execute;
end;

procedure TFormPlatformScale05Weight.ButtonPrintOutClick(Sender: TObject);
begin
  PanelButtons.hide;
  GroupBoxStart.hide;

  printer.Orientation:= poLandscape;//v^ZbgAbv_CAOʂAڂɉuɐݒ

  Printer.Title:=self.Text;
  Self.Print;

  GroupBoxStart.show;
  PanelButtons.Show;
end;

procedure TFormPlatformScale05Weight.Renew(Sender: TObject);
begin
  randomize;
  ransuuhassei;
end;

procedure TFormPlatformScale05Weight.ButtonRadioGroupStartCloseClick(Sender: TObject);
begin
  ButtonRadioGroupStartClose.hide;
  GroupBoxStart.Hide;
  ButtonStart.Show;
end;

procedure TFormPlatformScale05Weight.ButtonStartClick(Sender: TObject);
begin
  if GroupBoxStart.visible=false then
  begin
    ButtonStart.Hide;
    ButtonRadioGroupStartClose.show;
    GroupBoxStart.Show;
    ButtonRadioGroupStartClose.Show;
  end;
end;

procedure TFormPlatformScale05Weight.RadioGroupUnitClick(Sender: TObject);
begin
  case RadioGroupUnit.ItemIndex of
  0:begin
      LabelAnswer1.Caption:='@      g';
      LabelAnswer2.Caption:='@      g';
      LabelAnswer3.Caption:='@      g';
      LabelAnswer4.Caption:='@      g';
      LabelAnswer5.Caption:='@      g';
      LabelAnswer6.Caption:='@      g';
      sUnit:='P:g';
    end;
  1:begin
      LabelAnswer1.Caption:='@     kg';
      LabelAnswer2.Caption:='@     kg';
      LabelAnswer3.Caption:='@     kg';
      LabelAnswer4.Caption:='@     kg';
      LabelAnswer5.Caption:='@     kg';
      LabelAnswer6.Caption:='@     kg';
      sUnit:='P:kg';
    end;
  2:begin
      sUnit:='P:kg,g';
    end
  end;
  HyoudaiSaihyouji;
end;

procedure TFormPlatformScale05Weight.RadioGroupKindClick(Sender: TObject);
begin
  case RadioGroupKind.ItemIndex of
    0:begin
        PlatformScale1.TypeValueMax:= vm001kg;
        PlatformScale2.TypeValueMax:= vm001kg;
        PlatformScale3.TypeValueMax:= vm001kg;
        PlatformScale4.TypeValueMax:= vm001kg;
        PlatformScale5.TypeValueMax:= vm001kg;
        PlatformScale6.TypeValueMax:= vm001kg;
        PlatformScale1.ValueMax:=1000;
        PlatformScale2.ValueMax:=1000;
        PlatformScale3.ValueMax:=1000;
        PlatformScale4.ValueMax:=1000;
        PlatformScale5.ValueMax:=1000;
        PlatformScale6.ValueMax:=1000;
        SpinEditMax.MaxValue:=1000;
        SpinEditMax.MinValue:=1000;
        SpinEditMax.Value:=1000;
        SPinEditMin.MaxValue:=1000;
        SpinEditMin.Value:=0;
        RadioButtonDivision10g.Enabled:=true;
        RadioButtonDivision10g.Checked:=true;
        RadioButtonDivision20g.Enabled:=true;
        RadioButtonDivision50g.Enabled:=true;
        RadioButtonDivision100g.Enabled:=true;
        RadioButtonDivision200g.Enabled:=false;
        RadioButtonDivision500g.Enabled:=false;
        RadioButtonDivision1kg.Enabled:=false;
        RadioButtonDivision2kg.Enabled:=false;
        RadioButtonDivision5kg.Enabled:=false;
        RadioButtonDivision10kg.Enabled:=false;
        RadioGroupSparselyDensely.ItemIndex:=1;
        RadioGroupPer200.Visible:=true;
        sWeight:='d:1kg, '
      end;
    1:begin
        PlatformScale1.TypeValueMax:= vm002kg;
        PlatformScale2.TypeValueMax:= vm002kg;
        PlatformScale3.TypeValueMax:= vm002kg;
        PlatformScale4.TypeValueMax:= vm002kg;
        PlatformScale5.TypeValueMax:= vm002kg;
        PlatformScale6.TypeValueMax:= vm002kg;
        PlatformScale1.ValueMax:=2000;
        PlatformScale2.ValueMax:=2000;
        PlatformScale3.ValueMax:=2000;
        PlatformScale4.ValueMax:=2000;
        PlatformScale5.ValueMax:=2000;
        PlatformScale6.ValueMax:=2000;
        SpinEditMax.MaxValue:=2000;
        SpinEditMax.MinValue:=2000;
        SpinEditMax.Value:=2000;
        SPinEditMin.MaxValue:=2000;
        SpinEditMin.Value:=0;
        RadioButtonDivision10g.Enabled:=true;
        RadioButtonDivision20g.Enabled:=true;
        RadioButtonDivision20g.Checked:=true;
        RadioButtonDivision50g.Enabled:=true;
        RadioButtonDivision100g.Enabled:=true;
        RadioButtonDivision200g.Enabled:=true;
        RadioButtonDivision500g.Enabled:=false;
        RadioButtonDivision1kg.Enabled:=false;
        RadioButtonDivision2kg.Enabled:=false;
        RadioButtonDivision5kg.Enabled:=false;
        RadioButtonDivision10kg.Enabled:=false;
        RadioGroupSparselyDensely.ItemIndex:=1;
        RadioGroupPer200.Visible:=false;
        sWeight:='d:2kg, '
      end;
    2:begin
        PlatformScale1.TypeValueMax:= vm005kg;
        PlatformScale2.TypeValueMax:= vm005kg;
        PlatformScale3.TypeValueMax:= vm005kg;
        PlatformScale4.TypeValueMax:= vm005kg;
        PlatformScale5.TypeValueMax:= vm005kg;
        PlatformScale6.TypeValueMax:= vm005kg;
        PlatformScale1.ValueMax:=5000;
        PlatformScale2.ValueMax:=5000;
        PlatformScale3.ValueMax:=5000;
        PlatformScale4.ValueMax:=5000;
        PlatformScale5.ValueMax:=5000;
        PlatformScale6.ValueMax:=5000;
        SpinEditMax.MaxValue:=5000;
        SpinEditMax.MinValue:=5000;
        SpinEditMax.Value:=5000;
        SPinEditMin.MaxValue:=5000;
        SpinEditMin.Value:=0;
        RadioButtonDivision10g.Enabled:=false;
        RadioButtonDivision20g.Enabled:=false;
        RadioButtonDivision50g.Enabled:=true;
        RadioButtonDivision50g.Checked:=true;
        RadioButtonDivision100g.Enabled:=true;
        RadioButtonDivision200g.Enabled:=true;
        RadioButtonDivision500g.Enabled:=true;
        RadioButtonDivision1kg.Enabled:=false;
        RadioButtonDivision2kg.Enabled:=false;
        RadioButtonDivision5kg.Enabled:=false;
        RadioButtonDivision10kg.Enabled:=false;
        RadioGroupSparselyDensely.ItemIndex:=1;
        RadioGroupPer200.Visible:=false;
        sWeight:='d:5kg, '
      end;
    3:begin
        PlatformScale1.TypeValueMax:= vm010kg;
        PlatformScale2.TypeValueMax:= vm010kg;
        PlatformScale3.TypeValueMax:= vm010kg;
        PlatformScale4.TypeValueMax:= vm010kg;
        PlatformScale5.TypeValueMax:= vm010kg;
        PlatformScale6.TypeValueMax:= vm010kg;
        SpinEditMax.MaxValue:=10000;
        SpinEditMax.MinValue:=10000;
        PlatformScale1.ValueMax:=10000;
        PlatformScale2.ValueMax:=10000;
        PlatformScale3.ValueMax:=10000;
        PlatformScale4.ValueMax:=10000;
        PlatformScale5.ValueMax:=10000;
        PlatformScale6.ValueMax:=10000;
        SpinEditMax.Value:=10000;
        SPinEditMin.MaxValue:=10000;
        SpinEditMin.Value:=0;
        RadioButtonDivision20g.Enabled:=false;
        RadioButtonDivision20g.Enabled:=false;
        RadioButtonDivision50g.Enabled:=false;
        RadioButtonDivision100g.Enabled:=true;
        RadioButtonDivision100g.Checked:=true;
        RadioButtonDivision200g.Enabled:=true;
        RadioButtonDivision500g.Enabled:=true;
        RadioButtonDivision1kg.Enabled:=true;
        RadioButtonDivision2kg.Enabled:=false;
        RadioButtonDivision5kg.Enabled:=false;
        RadioButtonDivision10kg.Enabled:=false;
        RadioGroupSparselyDensely.ItemIndex:=1;
        RadioGroupPer200.Visible:=true;
        sWeight:='d:10kg, '
      end;
    4:begin
        PlatformScale1.TypeValueMax:= vm020kg;
        PlatformScale2.TypeValueMax:= vm020kg;
        PlatformScale3.TypeValueMax:= vm020kg;
        PlatformScale4.TypeValueMax:= vm020kg;
        PlatformScale5.TypeValueMax:= vm020kg;
        PlatformScale6.TypeValueMax:= vm020kg;
        PlatformScale1.ValueMax:=20000;
        PlatformScale2.ValueMax:=20000;
        PlatformScale3.ValueMax:=20000;
        PlatformScale4.ValueMax:=20000;
        PlatformScale5.ValueMax:=20000;
        PlatformScale6.ValueMax:=20000;
        SpinEditMax.MaxValue:=20000;
        SpinEditMax.MinValue:=20000;
        SpinEditMax.Value:=20000;
        SPinEditMin.MaxValue:=20000;
        SpinEditMin.Value:=0;
        RadioButtonDivision10g.Enabled:=false;
        RadioButtonDivision20g.Enabled:=false;
        RadioButtonDivision50g.Enabled:=false;
        RadioButtonDivision100g.Enabled:=false;
        RadioButtonDivision200g.Enabled:=true;
        RadioButtonDivision200g.Checked:=true;
        RadioButtonDivision500g.Enabled:=true;
        RadioButtonDivision1kg.Enabled:=true;
        RadioButtonDivision2kg.Enabled:=true;
        RadioButtonDivision5kg.Enabled:=false;
        RadioButtonDivision10kg.Enabled:=false;
        RadioGroupSparselyDensely.ItemIndex:=1;
        RadioGroupPer200.Visible:=false;
        sWeight:='d:20kg, '
      end;
    5:begin
        PlatformScale1.TypeValueMax:= vm050kg;
        PlatformScale2.TypeValueMax:= vm050kg;
        PlatformScale3.TypeValueMax:= vm050kg;
        PlatformScale4.TypeValueMax:= vm050kg;
        PlatformScale5.TypeValueMax:= vm050kg;
        PlatformScale6.TypeValueMax:= vm050kg;
        PlatformScale1.ValueMax:=50000;
        PlatformScale2.ValueMax:=50000;
        PlatformScale3.ValueMax:=50000;
        PlatformScale4.ValueMax:=50000;
        PlatformScale5.ValueMax:=50000;
        PlatformScale6.ValueMax:=50000;
        SpinEditMax.MaxValue:=50000;
        SpinEditMax.MinValue:=50000;
        SpinEditMax.Value:=50000;
        SPinEditMin.MaxValue:=50000;
        SpinEditMin.Value:=0;
        RadioButtonDivision10g.Enabled:=false;
        RadioButtonDivision20g.Enabled:=false;
        RadioButtonDivision50g.Enabled:=false;
        RadioButtonDivision100g.Enabled:=false;
        RadioButtonDivision200g.Enabled:=false;
        RadioButtonDivision500g.Enabled:=true;
        RadioButtonDivision500g.Checked:=true;
        RadioButtonDivision1kg.Enabled:=true;
        RadioButtonDivision2kg.Enabled:=true;
        RadioButtonDivision5kg.Enabled:=true;
        RadioButtonDivision10kg.Enabled:=false;
        RadioGroupSparselyDensely.ItemIndex:=1;
        RadioGroupPer200.Visible:=false;
        sWeight:='d:50kg, '
      end;
    6:begin
        PlatformScale1.TypeValueMax:= vm100kg;
        PlatformScale2.TypeValueMax:= vm100kg;
        PlatformScale3.TypeValueMax:= vm100kg;
        PlatformScale4.TypeValueMax:= vm100kg;
        PlatformScale5.TypeValueMax:= vm100kg;
        PlatformScale6.TypeValueMax:= vm100kg;
        PlatformScale1.ValueMax:=100000;
        PlatformScale2.ValueMax:=100000;
        PlatformScale3.ValueMax:=100000;
        PlatformScale4.ValueMax:=100000;
        PlatformScale5.ValueMax:=100000;
        PlatformScale6.ValueMax:=100000;
        SpinEditMax.MaxValue:=100000;
        SpinEditMax.MinValue:=100000;
        SpinEditMax.Value:=100000;
        SPinEditMin.MaxValue:=100000;
        SpinEditMin.Value:=0;
        RadioButtonDivision10g.Enabled:=false;
        RadioButtonDivision20g.Enabled:=false;
        RadioButtonDivision50g.Enabled:=false;
        RadioButtonDivision100g.Enabled:=false;
        RadioButtonDivision200g.Enabled:=false;
        RadioButtonDivision500g.Enabled:=false;
        RadioButtonDivision1kg.Enabled:=true;
        RadioButtonDivision1kg.Checked:=true;
        RadioButtonDivision2kg.Enabled:=true;
        RadioButtonDivision5kg.Enabled:=true;
        RadioButtonDivision10kg.Enabled:=true;
        RadioGroupSparselyDensely.ItemIndex:=1;
        RadioGroupPer200.Visible:=true;
        sWeight:='d:100kg, '
      end;
  end;
  HyoudaiSaihyouji;
//  renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision10gClick(Sender: TObject);
begin
 if RadioButtonDivision10g.Checked= true then
 begin
//   RadioButtonDivision10g.Checked:= true;
   RadioButtonDivision20g.Checked:= false;
   RadioButtonDivision50g.Checked:= false;
   RadioButtonDivision100g.Checked:= false;
   RadioButtonDivision200g.Checked:= false;
   RadioButtonDivision500g.Checked:= false;
   RadioButtonDivision1kg.Checked:= false;
   RadioButtonDivision2kg.Checked:= false;
   RadioButtonDivision5kg.Checked:= false;
   RadioButtonDivision10kg.Checked:= false;
   division:= 10;
   sdivision:=':10g';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision20gClick(Sender: TObject);
begin
 if RadioButtonDivision20g.Checked= true then
 begin
   RadioButtonDivision10g.Checked:= false;
//   RadioButtonDivision20g.Checked:= true;
   RadioButtonDivision50g.Checked:= false;
   RadioButtonDivision100g.Checked:= false;
   RadioButtonDivision200g.Checked:= false;
   RadioButtonDivision500g.Checked:= false;
   RadioButtonDivision1kg.Checked:= false;
   RadioButtonDivision2kg.Checked:= false;
   RadioButtonDivision5kg.Checked:= false;
   RadioButtonDivision10kg.Checked:= false;
   division:= 20;
   sdivision:=':20g';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision50gClick(Sender: TObject);
begin
 if RadioButtonDivision50g.Checked= true then
 begin
   RadioButtonDivision10g.Checked:= false;
   RadioButtonDivision20g.Checked:= false;
//   RadioButtonDivision50g.Checked:= true;
   RadioButtonDivision100g.Checked:= false;
   RadioButtonDivision200g.Checked:= false;
   RadioButtonDivision500g.Checked:= false;
   RadioButtonDivision1kg.Checked:= false;
   RadioButtonDivision2kg.Checked:= false;
   RadioButtonDivision5kg.Checked:= false;
   RadioButtonDivision10kg.Checked:= false;
   division:= 50;
   sdivision:=':50g';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  HyoudaiSaihyouji;
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision100gClick(Sender: TObject);
begin
 if RadioButtonDivision100g.Checked= true then
 begin
   RadioButtonDivision10g.Checked:= false;
   RadioButtonDivision20g.Checked:= false;
   RadioButtonDivision50g.Checked:= false;
//   RadioButtonDivision100g.Checked:= true;
   RadioButtonDivision200g.Checked:= false;
   RadioButtonDivision500g.Checked:= false;
   RadioButtonDivision1kg.Checked:= false;
   RadioButtonDivision2kg.Checked:= false;
   RadioButtonDivision5kg.Checked:= false;
   RadioButtonDivision10kg.Checked:= false;
   division:= 100;
   sdivision:=':100g';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision200gClick(Sender: TObject);
begin
 if RadioButtonDivision200g.Checked= true then
 begin
   RadioButtonDivision10g.Checked:= false;
   RadioButtonDivision20g.Checked:= false;
   RadioButtonDivision50g.Checked:= false;
   RadioButtonDivision100g.Checked:= false;
//   RadioButtonDivision200g.Checked:= true;
   RadioButtonDivision500g.Checked:= false;
   RadioButtonDivision1kg.Checked:= false;
   RadioButtonDivision2kg.Checked:= false;
   RadioButtonDivision5kg.Checked:= false;
   RadioButtonDivision10kg.Checked:= false;
   division:= 200;
   sdivision:=':200g';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision500gClick(Sender: TObject);
begin
 if RadioButtonDivision500g.Checked= true then
 begin
   RadioButtonDivision10g.Checked:= false;
   RadioButtonDivision20g.Checked:= false;
   RadioButtonDivision50g.Checked:= false;
   RadioButtonDivision100g.Checked:= false;
   RadioButtonDivision200g.Checked:= false;
//   RadioButtonDivision500g.Checked:= true;
   RadioButtonDivision1kg.Checked:= false;
   RadioButtonDivision2kg.Checked:= false;
   RadioButtonDivision5kg.Checked:= false;
   RadioButtonDivision10kg.Checked:= false;
   division:= 500;
   sdivision:=':500g';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
 end;
 HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision1kgClick(Sender: TObject);
begin
 if RadioButtonDivision1kg.Checked= true then
 begin
   RadioButtonDivision10g.Checked:= false;
   RadioButtonDivision20g.Checked:= false;
   RadioButtonDivision50g.Checked:= false;
   RadioButtonDivision100g.Checked:= false;
   RadioButtonDivision200g.Checked:= false;
   RadioButtonDivision500g.Checked:= false;
//   RadioButtonDivision1kg.Checked:= true;
   RadioButtonDivision2kg.Checked:= false;
   RadioButtonDivision5kg.Checked:= false;
   RadioButtonDivision10kg.Checked:= false;
   division:= 1000;
   sdivision:=':1kg';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision2kgClick(Sender: TObject);
begin
 if RadioButtonDivision2kg.Checked= true then
 begin
   RadioButtonDivision10g.Checked:= false;
   RadioButtonDivision20g.Checked:= false;
   RadioButtonDivision50g.Checked:= false;
   RadioButtonDivision100g.Checked:= false;
   RadioButtonDivision200g.Checked:= false;
   RadioButtonDivision500g.Checked:= false;
   RadioButtonDivision1kg.Checked:= false;
//   RadioButtonDivision2kg.Checked:= true;
   RadioButtonDivision5kg.Checked:= false;
   RadioButtonDivision10kg.Checked:= false;
   division:= 2000;
   sdivision:=':2kg';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
  end;
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision5kgClick(Sender: TObject);
begin
 if RadioButtonDivision5kg.Checked= true then
 begin
   RadioButtonDivision10g.Checked:= false;
   RadioButtonDivision20g.Checked:= false;
   RadioButtonDivision50g.Checked:= false;
   RadioButtonDivision100g.Checked:= false;
   RadioButtonDivision200g.Checked:= false;
   RadioButtonDivision500g.Checked:= false;
   RadioButtonDivision1kg.Checked:= false;
   RadioButtonDivision2kg.Checked:= false;
//   RadioButtonDivision5kg.Checked:= true;
   RadioButtonDivision10kg.Checked:= false;
   division:= 5000;
   sdivision:=':5kg';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
 end;
 HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioButtonDivision10kgClick(Sender: TObject);
begin
 if RadioButtonDivision10kg.Checked= true then
 begin
   RadioButtonDivision10g.Checked:= false;
   RadioButtonDivision20g.Checked:= false;
   RadioButtonDivision50g.Checked:= false;
   RadioButtonDivision100g.Checked:= false;
   RadioButtonDivision200g.Checked:= false;
   RadioButtonDivision500g.Checked:= false;
   RadioButtonDivision1kg.Checked:= false;
   RadioButtonDivision2kg.Checked:= false;
   RadioButtonDivision5kg.Checked:= false;
//   RadioButtonDivision10kg.Checked:= true;
   division:= 10000;
   sdivision:=':10kg';
   SpinEditMin.Increment:=division;
   SpinEditMax.Increment:=division;
   if SpinEditMin.Value> division then SpinEditMin.Value:= 0;
   SpinEditMin.Value:= trunc(SpinEditMin.Value / division) * division;
   SpinEditMax.Value:= trunc(SpinEditMax.Value / division) * division;
 end;
 HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioGroupSparselyDenselyClick(Sender: TObject);
begin
  if RadioGroupSparselyDensely.ItemIndex=0 then
  begin
    PlatformScale1.TypeBoardScale:=bsSparsely;
    PlatformScale2.TypeBoardScale:=bsSparsely;
    PlatformScale3.TypeBoardScale:=bsSparsely;
    PlatformScale4.TypeBoardScale:=bsSparsely;
    PlatformScale5.TypeBoardScale:=bsSparsely;
    PlatformScale6.TypeBoardScale:=bsSparsely;
    RadioGroupPer200.Visible:=false;
    sSparselyDensely:='a:a, '
  end
  else
  begin
    PlatformScale1.TypeBoardScale:=bsDensely;
    PlatformScale2.TypeBoardScale:=bsDensely;
    PlatformScale3.TypeBoardScale:=bsDensely;
    PlatformScale4.TypeBoardScale:=bsDensely;
    PlatformScale5.TypeBoardScale:=bsDensely;
    PlatformScale6.TypeBoardScale:=bsDensely;
    RadioGroupPer200.Visible:=true;
    sSparselyDensely:='a:, '
  end;
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioGroupPer200Click(Sender: TObject);
begin
  if RadioGroupPer200.ItemIndex=0 then
  begin
    PlatformScale1.TypeShowScalePer200:= ssHide;
    PlatformScale2.TypeShowScalePer200:= ssHide;
    PlatformScale3.TypeShowScalePer200:= ssHide;
    PlatformScale4.TypeShowScalePer200:= ssHide;
    PlatformScale5.TypeShowScalePer200:= ssHide;
    PlatformScale6.TypeShowScalePer200:= ssHide;
    sPer200:='1/200:\, '
  end
  else
  begin
    PlatformScale1.TypeShowScalePer200:= ssShow;
    PlatformScale2.TypeShowScalePer200:= ssShow;
    PlatformScale3.TypeShowScalePer200:= ssShow;
    PlatformScale4.TypeShowScalePer200:= ssShow;
    PlatformScale5.TypeShowScalePer200:= ssShow;
    PlatformScale6.TypeShowScalePer200:= ssShow;
    sPer200:='1/200:\, '
  end;
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.RadioGroupShowClick(Sender: TObject);
begin
  if RadioGroupShow.ItemIndex=0 then
  begin
    PlatformScale1.StretchRatePercent:=100;
    PlatformScale2.StretchRatePercent:=100;
    PlatformScale3.StretchRatePercent:=100;
    PlatformScale4.StretchRatePercent:=100;
    PlatformScale5.StretchRatePercent:=100;
    PlatformScale6.StretchRatePercent:=100;
    sShow:='\:S, '
  end
  else
  begin
    PlatformScale1.StretchRatePercent:=150;
    PlatformScale2.StretchRatePercent:=150;
    PlatformScale3.StretchRatePercent:=150;
    PlatformScale4.StretchRatePercent:=150;
    PlatformScale5.StretchRatePercent:=150;
    PlatformScale6.StretchRatePercent:=150;
    sShow:='\:, '
  end;
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.SpinEditMinChange(Sender: TObject);
begin
  HyoudaiSaihyouji;
  //renew(sender);
end;

procedure TFormPlatformScale05Weight.SpinEditMaxChange(Sender: TObject);
begin
  HyoudaiSaihyouji;
  //renew(sender);
end;

end.
