unit PlatformScale;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TTypeBoardScale=(bsSparsely,bsDensely);//Ղ̍ݕ\̌^ :bsSparsely:܂΂; bsDensely:ׂĂ
  TTypeHandBrush=(hbClear,hbSolid);//jhԂ̌^ hbClear; ; hbSolid:hԂ
  TTypeValueMax=(vm001kg,vm002kg,vm005kg,vm010kg,vm020kg,vm050kg,vm100kg);//ődʂ̌^
  TTypeShowScalePer200=(ssShow,ssHide);//1/200̖ڐi5g/1kg,50g/10kg,500g/100kg,j̕\̌^ shShow; \; shHide:\
  TTypeHandLocation=(hl0Top,hl1RightTop,hl2Right,hl3RightBottom,hl4Bottom,hl5LeftBottom,hl6Left,hl7LeftTop);//j̈ʒǔ^ Top:,hlRightTop:E,hlRight:E,hlRightBottom:E,hlBottom:,hlLeftBottom:,hlLeft:,hlLeftTop:
  TTypeCharactorJustification=(cjLeft,cjCenter,cJRight);//AAE

  TPlatformScale = class(TCustomControl)
  private
    { Private 錾 }
    RatioHand: real;                                                  //j̒̊iwidth/2Ƃ̔j
    px10,py10,px20,py20,px30,py30,px40,py40,px50,py50:integer;        //`󂪌̂Ƃ̍Wij
    px11,py11,px21,py21,px31,py31,px41,py41,px51,py51:integer;        //`󂪌̂Ƃ̍Wiꎟϊj
    rOuter: real;                                                     //ڐ̊Oa
    rInner1,rInner2,rInner3,rInner4:real;                             //ڐ̓a      1kg     2kg     5kg     10kg    20kg   50kg    100kg
                                                                      //          200     200     250     200     200    250      200
                                                                      //rInner1           5g   10g     20g     50g    100g   200g     500g
                                                                      //rInner2          10g   50g    100g    100g    500g    1kg      1kg
                                                                      //rInner3          50g  100g    200g    500g     1kg    2kg      5kg
                                                                      //rInner4         100g  Ȃ    Ȃ
                                                                      //            200g  500g     1kg     2kg     5kg   10kg     20kg
    FWidthScale1: byte;                                               //FWidthScale1      5g   10g
    FWidthScale2: byte;                                               //FWidthScale2     10g   50g
    FWidthScale3: byte;                                               //FWidthScale3     50g  100g
    FWidthBorderLine: byte;                                           //E̕
    FWidthHand: byte;                                                 //j̕
    ValueTextRect: TRect;                                             //dl̕`̈
    ValueText: string;                                                //dl̓e
    FBoardFontSizeSmall: byte;                                        //Ղ̃̕tHgTCYiOj
    FBoardFontSizeBig: byte;                                          //Ղ̃̕tHgTCYij
    FBoardColor: TColor;                                              //Ղ̐F
    FTypeBoardScale:     TTypeBoardScale;                             //Ղ̍ݕ\̌^
    FTypeHandBrush:     TTypeHandBrush;                               //jhԂ̌^
    FTypeValueMax:       TTypeValueMax;                               //ődʂ̌^
    FTypeShowScalePer200:     TTypeShowScalePer200;                   //1/200̖ڐi5g/1kg,50g/10kg,500g/100kg,j̕\̌^
    FTypeHandLocation:   TTypeHandLocation;                           //j̈ʒǔ^
    FValue: Longword;                                                 //d[g]
    FValueMin:byte;                                                   //d̍ŏl[g]
    FValueMax:Longword;                                               //d̍ől[g]
    FStretchRatePercent:byte;                                         //g嗦[%]
    StretchRate:real;                                                 //g嗦
    FDiameter: word;                                                  //c(Hieght,Width)̒=a
    FOnChange: TNotifyEvent;
    function  HalfAdjust(x: Extended): Longint;                       //ľܓ
    function xRotate(x0,y0:integer;t:real):integer;                   //ꎟϊɂ]
    function yRotate(x0,y0:integer;t:real):integer;                   //ꎟϊɂ]
    procedure SetValue(const Value: Longword);                        //udvݒ
    procedure SetValueMax(const Value: Longword);                     //Value̍őlݒ
    procedure SetBoardFontSizeBig(const Value: byte);               //Ղ̃̕tHgTCYݒij
    procedure SetBoardFontSizeSmall(const Value: byte);               //Ղ̃̕tHgTCYݒiOj
    procedure SetBoardColor(const Value: TColor);                     //Ղ̐Fݒ
    procedure SetDiameter(const Value: word);                         //Ղ̒aݒ
    procedure SetTypeBoardScale(const Value: TTypeBoardScale);        //Ղ̍ݕ\̌^ݒ
    procedure SetTypeHandBrush(const Value: TTypeHandBrush);          //jhԂ̌^ݒ
    procedure SetTypeValueMax(const Value: TTypeValueMax);            //ődʂ̌^ݒ
    procedure SetTypeShowScalePer200(const Value: TTypeShowScalePer200);        //1/200̖ڐ\̌^ݒ
    procedure SetTypeHandLocation(const Value: TTypeHandLocation);    //j̈ʒǔ^ݒ
    procedure SetWidthBorderLine(const Value: byte);                  //E̕ݒ
    procedure SetWidthScale1(const Value: byte);                      //PO̐̕ݒ
    procedure SetWidthScale2(const Value: byte);                      //TO̐̕ݒ
    procedure SetWidthScale3(const Value: byte);                      //POO̐̕ݒ
    procedure SetStretchRatePercent(const Value: byte);               //g嗦[%]̐ݒ
    procedure SetWidthHand(const Value: byte);                        //j̕ݒ
  protected
    { Protected 錾 }
    procedure Change; virtual; // OnChangeCxg̃CxgfBXpb`
    procedure Paint; override; //`
    procedure Resize;override; //Rg[̃TCYύX
  public
    { Public 錾 }
    constructor Create(AOwner: TComponent); override;
  published
    { Published 錾 }
    property Color;       // Ղ̔wii`jF
    property ParentColor; // eRg[F̌p
    property Value: Longword read FValue write SetValue default 0; // j̈ʒu(l)
    property ValueMin: byte read FValueMin default 0; // jłɉƂ̒lid̍ŏl[g]j
    property ValueMax: Longword read FValueMax write SetValueMax default 2000; // jłEɉƂ̒l
    property BoardFontSizeSmall: byte read FBoardFontSizeSmall write SetBoardFontSizeSmall default 11; // Ղ̃tHgTCYiOj
    property BoardFontSizeBig: byte read FBoardFontSizeBig write SetBoardFontSizeBig default 21;// Ղ̃tHgTCYij
    property BoardColor: TColor read FBoardColor write SetBoardColor default clBtnFace;// Ղ̐F
    property Diameter: word read FDiameter write SetDiameter default 200; // Ղ̒a(l)
    property TypeBoardScale: TTypeBoardScale read FTypeBoardScale write SetTypeBoardScale default bsDensely;//Ղ̍ݕ\̌^
    property TypeHandBrush: TTypeHandBrush read FTypeHandBrush write SetTypeHandBrush default hbClear;//jhԂ̌^
    property TypeHandLocation: TTypeHandLocation read FTypeHandLocation write SetTypeHandLocation default hl0Top;//jʒǔ^
    property TypeValueMax: TTypeValueMax read FTypeValueMax write SetTypeValueMax default vm002kg;//ődʂ̌^
    property TypeShowScalePer200: TTypeShowScalePer200 read FTypeShowScalePer200 write SetTypeShowScalePer200 default ssHide;//ŏڐ\̌^
    property WidthBorderLine: byte read FWidthBorderLine write SetWidthBorderLine default 1;//E̕
    property WidthScale1: byte read FWidthScale1 write SetWidthScale1 default 1;//10g݂̍̕
    property WidthScale2: byte read FWidthScale2 write SetWidthScale2 default 1;//10g݂̍̕
    property WidthScale3: byte read FWidthScale3 write SetWidthScale3 default 1;//100g݂̍̕
    property StretchRatePercent: byte read FStretchRatePercent write SetStretchRatePercent default 100;//g嗦[%]
    property WidthHand: byte read FWidthHand write SetWidthHand default 7;      //j̕
    property ShowHint;
    property OnChange: TNotifyEvent read FOnChange write FOnChange;
    property OnClick;
  end;

procedure Register;

implementation

function TPlatformScale.HalfAdjust(x: Extended): Longint;
//ľܓ
begin
  if x >= 0 then Result := Trunc(x + 0.5)
  else Result := Trunc(x - 0.5);
end;

//ꎟϊ(]ړ)
function TPlatformScale.xRotate(x0,y0:integer;t:real):integer;
begin
  result:= {ceil}HalfAdjust(rOuter-x0*cos(t)+y0*sin(t));
end;

function TPlatformScale.yRotate(x0,y0:integer;t:real):integer;
begin
  result:=HalfAdjust(rOuter-x0*sin(t)-y0*cos(t));
end;

procedure Register;
begin
  RegisterComponents('Samples', [TPlatformScale]);
end;

constructor TPlatformScale.Create(AOwner: TComponent);
// RXgN^
begin
  inherited Create(AOwner);
//ʂ鏔̏
  RatioHand:=90/100;
  FDiameter:=200;
  Width:=FDiameter;
  Height:=FDiameter;
  FWidthBorderLine:=1;//HalfAdjust(FDiameter /160);
  FWidthHand:=7;//HalfAdjust(FDiameter /160*7);
  FWidthScale1:=1;
  FWidthScale2:=1;
  FWidthScale3:=1;
  FStretchRatePercent:=100;
  StretchRate:=FStretchRatePercent/100;
  FBoardFontSizeSmall:= 11;//HalfAdjust(FDiameter /160*6);
  FBoardFontSizeBig:= 21;//HalfAdjust(FDiameter /160*12);
  FBoardColor:= clBtnFace;
  FTypeBoardScale:= bsDensely;
  FTypeHandBrush:= hbClear;
  FTypeValueMax:= vm002kg;
  FTypeShowScalePer200:= ssHide;
  FValue:=0;
  FValueMin:=0;
  FValueMax:=2000;
  FTypeHandLocation:= hl0Top;

  // `ɂ̓`cL}邽߃_uobt@g
  DoubleBuffered := True;
end;

procedure TPlatformScale.Paint;
  //ꎟϊ(ړ{g)
  function xConvert(x0:real; l:TTypeHandLocation):integer;
  var             //ϊOxWAʒǔ^
    sx: real;//ϊOƕϊ̍
  begin
    case l of
      hl0Top:        sx:=-(1-StretchRate)/2*FDiameter;
      hl1RightTop:   sx:=-(1-StretchRate)  *FDiameter;
      hl2Right:      sx:=-(1-StretchRate)  *FDiameter;
      hl3RightBottom:sx:=-(1-StretchRate)  *FDiameter;
      hl4Bottom:     sx:=-(1-StretchRate)/2*FDiameter;
      hl5LeftBottom: sx:=0;
      hl6Left:       sx:=0;
      hl7LeftTop:    sx:=0;
      else sx:=0;
    end;
    result:= HalfAdjust(StretchRate*x0-sx);
  end;
  function yConvert(y0:real; l:TTypeHandLocation):integer;
  var             //ϊOxWAAʒǔ^
    sy: real;//ϊOƕϊ̍
  begin
    case l of
      hl0Top:        sy:=0;
      hl1RightTop:   sy:=0;
      hl2Right:      sy:=-(1-StretchRate)/2*FDiameter;
      hl3RightBottom:sy:=-(1-StretchRate)  *FDiameter;
      hl4Bottom:     sy:=-(1-StretchRate)  *FDiameter;
      hl5LeftBottom: sy:=-(1-StretchRate)  *FDiameter;
      hl6Left:       sy:=-(1-StretchRate)/2*FDiameter;
      hl7LeftTop:    sy:=0;
      else sy:=0;
    end;
    result:= HalfAdjust(StretchRate*y0-sy);
  end;
  //E
  procedure BorderLine(x1,y1,x2,y2:real);
  begin
    canvas.Ellipse(HalfAdjust(x1* FDiameter+ canvas.Pen.Width/ 2),
                   HalfAdjust(y1* FDiameter+ canvas.Pen.Width/ 2),
                   HalfAdjust(x2* FDiameter- canvas.Pen.Width/ 2),
                   HalfAdjust(y2* FDiameter- canvas.Pen.Width/ 2));
  end;
  //ݐ
  procedure ScaleLine(rI:real;ii,d:integer);
  begin
    canvas.MoveTo(xConvert( HalfAdjust(rOuter-(rI                            )*cos(ii*2*pi/(FValueMax/ d)+pi/2)),FTypeHandLocation),
                  yConvert( HalfAdjust(rOuter-(rI                            )*sin(ii*2*pi/(FValueMax/ d)+pi/2)),FTypeHandLocation));
    canvas.lineTo(xConvert( HalfAdjust(rOuter-(rOuter   - canvas.Pen.Width/ 2)*cos(ii*2*pi/(FValueMax/ d)+pi/2)),FTypeHandLocation),
                  yConvert( HalfAdjust(rOuter-(rOuter   - canvas.Pen.Width/ 2)*sin(ii*2*pi/(FValueMax/ d)+pi/2)),FTypeHandLocation));
  end;
  //\
  procedure Character(fs:integer; fc:string; ii,d:integer; x1,y1,x2,y2:real; cj:TTypeCharactorJustification);
  begin              //tHgTCYAA鐔AtHg̈ʒuWvf
    Canvas.Font.size:= fs ;//ݒ肷
    ValueText :=fc;//̈ݒ肷
    ValueTextRect := Rect(xConvert( HalfAdjust(rOuter-(rInner3-fs*5/6)*cos(ii/(FValueMax/ d)*12*pi/6+pi/2)-fs*x1),FTypeHandLocation),
                          yConvert( HalfAdjust(rOuter-(rInner3-fs*5/6)*sin(ii/(FValueMax/ d)*12*pi/6+pi/2)-fs*y1),FTypeHandLocation),
                          xConvert( HalfAdjust(rOuter-(rInner3-fs*5/6)*cos(ii/(FValueMax/ d)*12*pi/6+pi/2)+fs*x2),FTypeHandLocation),
                          yConvert( HalfAdjust(rOuter-(rInner3-fs*5/6)*sin(ii/(FValueMax/ d)*12*pi/6+pi/2)+fs*y2),FTypeHandLocation));
    case cj of
      cjLeft:   DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect,DT_Left);
      cjCenter: DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect,DT_Center);
      cjRight:  DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect,DT_Right);
      else      DrawText(Canvas.Handle, PChar(ValueText), -1, ValueTextRect,DT_CENTER or DT_SINGLELINE);
    end;
  end;

//`
var i: integer;
begin
  rInner4:= HalfAdjust(FDiameter / 2 *(96-6)/100);
  rInner3:= HalfAdjust(FDiameter / 2 *(96-4)/100);
  rInner2:= HalfAdjust(FDiameter / 2 *(96-2)/100);
  rInner1:= HalfAdjust(FDiameter / 2 * 96   /100);
  rOuter:=  HalfAdjust(FDiameter / 2);

  //E
  canvas.Pen.Style:= psSolid;
  canvas.Pen.Width:=FWidthBorderLine;
  canvas.Pen.Color:= clBlack;
  Canvas.Brush.Style := bsSolid;
  canvas.Brush.Color:= FBoardColor;
  case TypeHandLocation of
    hl0Top:         Borderline((1- StretchRate)/ 2, 0,                   (1+ StretchRate)/ 2, StretchRate);
    hl1RightTop:    Borderline((1- StretchRate),    0,                   1,                   StretchRate);
    hl2Right:       Borderline((1- StretchRate),    (1- StretchRate)/ 2, 1,                   (1+ StretchRate)/ 2);
    hl3RightBottom: Borderline((1- StretchRate),    1- StretchRate,      1,                   1);
    hl4Bottom:      Borderline((1- StretchRate)/ 2, 1- StretchRate,      (1+ StretchRate)/ 2, 1);
    hl5LeftBottom:  Borderline(0,                   1- StretchRate,      StretchRate,         1);
    hl6Left:        Borderline(0,                   (1- StretchRate)/ 2, StretchRate,         (1+ StretchRate)/ 2);
    hl7LeftTop:     Borderline(0,                   0,                   StretchRate,         StretchRate);
  end;

  //XP[i݁j
  Canvas.Pen.Color:= clBlack;
  canvas.Pen.Style:= psSolid;
  case FTypeValueMax of
    //ődʂP
    vm001kg:
      begin
        //5g̐
        if FTypeShowScalePer200= ssShow then
        begin
          canvas.Pen.Width:=WidthScale1;
          for i:=0 to (FValueMax div 5) do
            if FTypeBoardScale= bsDensely then
              if (i/ 10<>0) then ScaleLine(rInner1,i,5);
        end;
        //10g̐
        canvas.Pen.Width:=WidthScale1;
        for i:=0 to (FValueMax div 10) do
          if FTypeBoardScale= bsDensely then
            if (i mod 5<>0) then ScaleLine(rInner2,i,10);
        //50g̐
        canvas.Pen.Width:=WidthScale2;
        for i:=0 to (FValueMax div 50) do
          if (i mod 2<>0) then ScaleLine(rInner3,i,50);
        //100g̐
        canvas.Pen.Width:=WidthScale3;
        for i:=0 to (FValueMax div 100) do
          ScaleLine(rInner4,i,100);
      end;
    //ődʂQ
    vm002kg:
      begin
        //10g̐
        canvas.Pen.Width:=WidthScale1;
        for i:=0 to (FValueMax div 10) do
          if FTypeBoardScale= bsDensely then
            if (i mod 5<>0) then
              ScaleLine(rInner1,i,10);
        //50g̐
        canvas.Pen.Width:=WidthScale2;
        for i:=0 to (FValueMax div 50) do
          if (i mod 2<>0) then
            ScaleLine(rInner2,i,50);
        //100g̐
        canvas.Pen.Width:=WidthScale3;
        for i:=0 to (FValueMax div 100) do
          ScaleLine(rInner3,i,100);
      end;
    //ődʂT
    vm005kg:
      begin
        //20g̐
        canvas.Pen.Width:=WidthScale1;
        for i:=0 to (FValueMax div 20) do
          if FTypeBoardScale= bsDensely then
            if (i mod 5<>0) then
              ScaleLine(rInner1,i,20);
        //100g̐
        canvas.Pen.Width:=WidthScale2;
        for i:=0 to (FValueMax div 100) do
          if (i mod 2<>0) then
            ScaleLine(rInner2,i,100);
        //200g̐
        canvas.Pen.Width:=WidthScale3;
        for i:=0 to (FValueMax div 200) do
          ScaleLine(rInner3,i,200);
      end;
    //ődʂPO
    vm010kg:
      begin
        //50g̐
        if FTypeShowScalePer200= ssShow then
        begin
          canvas.Pen.Width:=WidthScale1;
          for i:=0 to (FValueMax div 50) do
            if FTypeBoardScale= bsDensely then
              if (i/ 25<>0) then
                ScaleLine(rInner1,i,50);
        end;
        //100g̐
        canvas.Pen.Width:=WidthScale1;
        for i:=0 to (FValueMax div 100) do
          if FTypeBoardScale= bsDensely then
            if (i mod 50<>0) then
              ScaleLine(rInner2,i,100);
        //500g̐
        canvas.Pen.Width:=WidthScale2;
        for i:=0 to (FValueMax div 500) do
          if (i mod 2<>0) then
            ScaleLine(rInner3,i,500);
        //1kg̐
        canvas.Pen.Width:=WidthScale3;
        for i:=0 to (FValueMax div 1000) do
          ScaleLine(rInner4,i,1000);
      end;
    //ődʂQO
    vm020kg:
      begin
        //100g̐
        canvas.Pen.Width:=WidthScale1;
        for i:=0 to (FValueMax div 100) do
          if FTypeBoardScale= bsDensely then
            if (i mod 50<>0) then
              ScaleLine(rInner1,i,100);
        //500g̐
        canvas.Pen.Width:=WidthScale2;
        for i:=0 to (FValueMax div 500) do
          if (i mod 20<>0) then
            ScaleLine(rInner2,i,500);
        //1kg̐
        canvas.Pen.Width:=WidthScale3;
        for i:=0 to (FValueMax div 1000) do
          ScaleLine(rInner3,i,1000);
      end;
    //ődʂTO
    vm050kg:
      begin
        //200g̐
        canvas.Pen.Width:=WidthScale1;
        for i:=0 to (FValueMax div 200) do
          if FTypeBoardScale= bsDensely then
            if (i mod 50<>0) then
              ScaleLine(rInner1,i,200);
        //1kg̐
        canvas.Pen.Width:=WidthScale2;
        for i:=0 to (FValueMax div 1000) do
          if (i mod 20<>0) then
            ScaleLine(rInner2,i,1000);
        //2kg̐
        canvas.Pen.Width:=WidthScale3;
        for i:=0 to (FValueMax div 2000) do
          ScaleLine(rInner3,i,2000);
      end;
    //ődʂPOO
    vm100kg:
      begin
        //500g̐
        if FTypeShowScalePer200= ssShow then
        begin
          canvas.Pen.Width:=WidthScale1;
          for i:=0 to (FValueMax div 500) do
            if FTypeBoardScale= bsDensely then
              if (i/ 250<>0) then
                ScaleLine(rInner1,i,500);
        end;
        //1kg̐
        canvas.Pen.Width:=WidthScale1;
        for i:=0 to (FValueMax div 1000) do
          if FTypeBoardScale= bsDensely then
            if (i mod 500<>0) then
          ScaleLine(rInner2,i,1000);
        //5kg̐
        canvas.Pen.Width:=WidthScale2;
        for i:=0 to (FValueMax div 5000) do
          if (i mod 200<>0) then
          ScaleLine(rInner3,i,5000);
        //1kg̐
        canvas.Pen.Width:=WidthScale3;
        for i:=0 to (FValueMax div 10000) do
          ScaleLine(rInner4,i,10000);
      end;
  end;

  //j
  canvas.Pen.Color:= clBlack;
  px10:=Round( (widthHand-widthBorderLine)/4) ;py10:=Round(-(widthHand-widthBorderLine)/2*3);
  px20:=Round( (widthHand-widthBorderLine)/4) ;py20:=Round(rOuter*RatioHand-10*widthHand+widthBorderLine);
  px30:=0                                     ;py30:=Round(rOuter*RatioHand);
  px40:=Round(-(widthHand-widthBorderLine)/4) ;py40:=Round(rOuter*RatioHand-10*widthHand+widthBorderLine);
  px50:=Round(-(widthHand-widthBorderLine)/4) ;py50:=Round(-(widthHand-widthBorderLine)/2*3);

  px11:=xRotate(px10,py10,((FValue)*pi*2/FValueMax)); py11:=yRotate(px10,py10,((FValue)*pi*2/FValueMax));
  px21:=xRotate(px20,py20,((FValue)*pi*2/FValueMax)); py21:=yRotate(px20,py20,((FValue)*pi*2/FValueMax));
  px31:=xRotate(px30,py30,((FValue)*pi*2/FValueMax)); py31:=yRotate(px30,py30,((FValue)*pi*2/FValueMax));
  px41:=xRotate(px40,py40,((FValue)*pi*2/FValueMax)); py41:=yRotate(px40,py40,((FValue)*pi*2/FValueMax));
  px51:=xRotate(px50,py50,((FValue)*pi*2/FValueMax)); py51:=yRotate(px50,py50,((FValue)*pi*2/FValueMax));

  Canvas.Pen.Width:= FWidthBorderLine;
  Canvas.Brush.style := bsClear;
  if FTypeHandBrush=hbSolid then
  begin
    Canvas.Brush.Color := clBlack ;
    Canvas.Polygon([Point(xConvert(px11,FTypeHandLocation),yConvert(py11,FTypeHandLocation)),
                    Point(xConvert(px21,FTypeHandLocation),yConvert(py21,FTypeHandLocation)),
                    Point(xConvert(px31,FTypeHandLocation),yConvert(py31,FTypeHandLocation)),
                    Point(xConvert(px41,FTypeHandLocation),yConvert(py41,FTypeHandLocation)),
                    Point(xConvert(px51,FTypeHandLocation),yConvert(py51,FTypeHandLocation))]);
  end;
  if FTypeHandBrush=hbClear then
    Canvas.Polygon([Point(xConvert(px11,FTypeHandLocation),yConvert(py11,FTypeHandLocation)),
                    Point(xConvert(px21,FTypeHandLocation),yConvert(py21,FTypeHandLocation)),
                    Point(xConvert(px31,FTypeHandLocation),yConvert(py31,FTypeHandLocation)),
                    Point(xConvert(px41,FTypeHandLocation),yConvert(py41,FTypeHandLocation)),
                    Point(xConvert(px51,FTypeHandLocation),yConvert(py51,FTypeHandLocation))]);

  //S
  canvas.Pen.Style:= psSolid;
  canvas.Pen.Width:= WidthBorderLine;
  Canvas.Brush.color := FBoardColor;
  canvas.Brush.Style:= bssolid;
  canvas.Ellipse(xConvert(FDiameter/ 2-FWidthHand/ 2, FTypeHandLocation),
                 yConvert(FDiameter/ 2-FWidthHand/ 2, FTypeHandLocation),
                 xConvert(FDiameter/ 2+FWidthHand/ 2, FTypeHandLocation),
                 yConvert(FDiameter/ 2+FWidthHand/ 2, FTypeHandLocation));

  // Ղ̐l`
  case FTypeValueMax of
    //ődʂP
    vm001kg:
      begin
        canvas.Pen.Color:= clBlack;
        canvas.Pen.Style:= psSolid;
        Canvas.Brush.Style := bsclear;
        Canvas.Font.Color := clWindowText;
        for i:=0 to (FValueMax div 100) do
        begin
          if i=0 then
            Character(FBoardFontSizeSmall, '0',                   i,100, 12/24,2/3, 12/24,3/3, cjCenter);
                                //tHgTCYA,ϐ,鐔AtHg̈ʒuWvf
          if i=1 then
            Character(FBoardFontSizeSmall, inttostr  (i*100)+'g', i,100, 48/24,2/3, 24/24,3/3, cjRight);//4A
          if i=2 then
            Character(FBoardFontSizeBig,   inttostr  (i*100)+'g', i,100, 60/24,2/3, 12/24,2/3, cjRight);//4A
          if i=3 then
            Character(FBoardFontSizeSmall, inttostr  (i*100),     i,100, 42/24,2/3, 12/24,2/3, cjRight);//3
          if i=4 then
            Character(FBoardFontSizeBig,   inttostr  (i*100)+'g', i,100, 48/24,3/3, 24/24,1/3, cjRight);//4A
          if i=5 then
            Character(FBoardFontSizeSmall, inttostr  (i*100),     i,100, 36/24,2/3, 36/24,2/3, cjCenter);//3
          if i=6 then
            Character(FBoardFontSizeBig,   inttostr  (i*100)+'g', i,100, 24/24,2/3, 48/24,2/3, cjLeft);//4A
          if i=8 then
            Character(FBoardFontSizeBig,   inttostr  (i*100)+'g', i,100, 12/24,2/3, 60/24,2/3, cjLeft);//4A
          if ((i=7) or (i=9))then
            Character(FBoardFontSizeSmall, inttostr  (i*100),     i,100, 12/24,2/3, 48/24,2/3, cjLeft);//3
          if i=10 then
            Character(FBoardFontSizeBig,   floattostr(i/ 10)+'kg',i,100, 24/24,0/3, 24/24,4/3, cjCenter);//4A
        end;
      end;
    //ődʂQ
    vm002kg:
      begin
        canvas.Pen.Color:= clBlack;
        canvas.Pen.Style:= psSolid;
        Canvas.Brush.Style := bsclear;
        Canvas.Font.Color := clWindowText;
        for i:=0 to (FValueMax div 100) do
        begin
          if i=0 then
            Character(FBoardFontSizeSmall, '0',                   i,100, 12/24,2/3, 12/24,3/3, cjCenter);//1
                                //tHgTCYA,ϐ,鐔AtHg̈ʒuWvf
          if i=1 then
            Character(FBoardFontSizeSmall, inttostr(i*100)+'g',   i,100, 36/24,2/3, 36/24,3/3, cjRight);//4A
          if ((i>=2) and (i<5))then
            Character(FBoardFontSizeSmall, inttostr(i*100),       i,100, 48/24,2/3, 20/24,3/3, cjRight);//3
          if i=5 then
            Character(FBoardFontSizeBig,   inttostr(i*100)+'g',   i,100, 54/24,2/3, 18/24,3/3, cjRight);//4A
          if ((i>5) and (i<10))then
            Character(FBoardFontSizeSmall, inttostr(i*100),       i,100, 36/24,2/3, 20/24,2/3, cjRight);//3
          if i=10 then
            Character(FBoardFontSizeBig,   floattostr(i/10)+'kg', i,100, 40/24,4/3, 32/24,1/3, cjCenter);//4A
          if ((i>=11) and (i<15)) then
            Character(FBoardFontSizeSmall, floattostr(i/10),      i,100, 18/24,2/3, 30/24,2/3, cjLeft);//3
          if i=15 then
            Character(FBoardFontSizeBig,   floattostr(i/10)+'kg', i,100, 24/24,2/3, 48/24,3/3, cjLeft);//4
          if ((i>15) and (i<20)) then
            Character(FBoardFontSizeSmall, floattostr(i/10),      i,100, 18/24,2/3, 30/24,2/3, cjLeft);//3
          if i=20 then
            Character(FBoardFontSizeBig,   floattostr(i/10)+'kg', i,100, 23/24,0/3, 25/24,4/3, cjCenter);//4A
        end;
      end;
    //ődʂT
    vm005kg:
      begin
        canvas.Pen.Color:= clBlack;
        canvas.Pen.Style:= psSolid;
        Canvas.Brush.Style := bsclear;
        Canvas.Font.Color := clWindowText;
        for i:=0 to (FValueMax div 100) do
        begin
          if i=0 then
            Character(FBoardFontSizeSmall, '0',                   i,100, 12/24,2/3, 12/24,3/3, cjCenter);//1
                                //tHgTCYA,ϐ,鐔AtHg̈ʒuWvf
          if i=2 then
            Character(FBoardFontSizeSmall, inttostr(i*100)+'g',   i,100, 36/24,2/3, 36/24,5/3, cjRight);//4A
          if (((i>=4) and (i<10)) and ((i mod 2)=0))then //200g,400,600,800
            Character(FBoardFontSizeSmall, inttostr(i*100)   ,    i,100, 48/24,2/3, 24/24,2/3, cjRight);//3
          if ((i=10) or (i=20))then //1kg,2kg
            Character(FBoardFontSizeBig,   floattostr(i/10)+'kg', i,100, 36/24,4/6, 12/24,4/6, cjRight);//3A
          if ((((i>=12) and (i<20)) and ((i mod 2)=0))
             or
             (((i>=22) and (i<30)) and ((i mod 2)=0))) then //0.2kg,1.2`1.8, 2.2`2.8
            Character(FBoardFontSizeSmall, floattostr(i/10),      i,100, 24/24,2/3, 24/24,2/3 ,cjCenter);//3
          if ((i=30) or (i=40))then  //3kg,4kg
            Character(FBoardFontSizeBig,   floattostr(i/10)+'kg', i,100, 12/24,4/6, 36/24,4/6 ,cjLeft);//3A
          if ((((i>=32) and (i<40)) and ((i mod 2)=0))
             or
             (((i>=42) and (i<50)) and ((i mod 2)=0))) then //0.2kg,3.2`3.8, 4.2`4.8
            Character(FBoardFontSizeSmall, floattostr(i/10),      i,100, 12/24,2/3, 36/24,2/3, cjLeft);//3
          if i=50 then
            Character(FBoardFontSizeBig,   floattostr(i/10)+'kg', i,100, 23/24,0/3, 25/24,4/3, cjCenter);//4A
        end;
      end;
    //ődʂPO
    vm010kg:
      begin
        canvas.Pen.Color:= clBlack;
        canvas.Pen.Style:= psSolid;
        Canvas.Brush.Style := bsclear;
        Canvas.Font.Color := clWindowText;
        for i:=0 to (FValueMax div 100) do
          begin
          if i=0 then
            Character(FBoardFontSizeSmall, '0',                   i,100, 12/24,2/3, 12/24,2/3, cjCenter);//1
                                //tHgTCYA,ϐ,鐔AtHg̈ʒuWvf
          if ((i=5))then
            Character(FBoardFontSizeSmall, floattostr(i/10)+'kg', i,100, 36/24,2/3, 36/24,5/3, cjRight);//5A
          if ((i=10) or (i=15) or (i=25) or (i=30) or (i=35) or (i=45) )then
            Character(FBoardFontSizeSmall, floattostr(i/10),      i,100, 54/24,2/3, 12/24,2/3, cjRight);//3
          if i=20 then
            Character(FBoardFontSizeBig, floattostr(i/10)+'kg', i,100, 54/24,2/3, 12/24,2/3, cjRight);//3A
          if i=40 then
            Character(FBoardFontSizeBig, floattostr(i/10)+'kg', i,100, 54/24,3/3, 12/24,1/3, cjRight);//3A
          if i=50 then
            Character(FBoardFontSizeSmall, floattostr(i/10),      i,100, 36/24,3/3, 36/24,1/3, cjCenter);
          if ((i=55) or (i=65)  or(i=70) or (i=75) or (i=85) or (i=90) or (i=95)) then
            Character(FBoardFontSizeSmall, floattostr(i/10),      i,100, 12/24,2/3, 36/24,3/3, cjLeft);
          if ((i=60) or (i=80)) then
            Character(FBoardFontSizeBig, floattostr(i/10)+'kg', i,100, 12/24,2/3, 36/24,3/3, cjLeft);
          if i=100 then
            Character(FBoardFontSizeBig, floattostr(i/10)+'kg', i,100, 36/24,0/3, 36/24,4/3, cjCenter);
        end;
      end;
    //ődʂQO
    vm020kg:
      begin
        canvas.Pen.Color:= clBlack;
        canvas.Pen.Style:= psSolid;
        Canvas.Brush.Style := bsclear;
        Canvas.Font.Color := clWindowText;
        for i:=0 to (FValueMax div 1000) do
        begin
          if i=0 then
            Character(FBoardFontSizeSmall, '0',                   i,1000, 12/24,2/3, 12/24,3/3, cjCenter);//1
                                //tHgTCYA,ϐ,鐔AtHg̈ʒuWvf
          if i=1 then
            Character(FBoardFontSizeSmall, inttostr(i)+'kg', i,1000, 24/24,2/3, 24/24,3/3, cjRight);//3A
          if ((i>1) and (i<10) and (i<>5))then
            Character(FBoardFontSizeSmall, inttostr(i),      i,1000, 12/24,2/3, 12/24,2/3, cjRight);//1
          if i=5 then
            Character(FBoardFontSizeBig,   inttostr(i)+'kg', i,1000, 36/24,2/3, 12/24,3/3, cjRight);//3A
          if i=10 then
            Character(FBoardFontSizeBig,   inttostr(i)+'kg', i,1000, 36/24,4/3, 36/24,1/3, cjCenter);//4A
          if ((i>=11) and (i<15) or (i>15) and (i<20)) then
            Character(FBoardFontSizeSmall, inttostr(i),      i,1000, 12/24,2/3, 24/24,2/3, cjLeft);//3
          if i=15 then
            Character(FBoardFontSizeBig,   inttostr(i)+'kg', i,1000, 12/24,2/3, 60/24,3/3, cjLeft);//4A
          if i=20 then
            Character(FBoardFontSizeBig,   inttostr(i)+'kg', i,1000, 30/24,0/3, 42/24,4/3, cjCenter);//4A
        end;
      end;
    //ődʂTO
    vm050kg:
      begin
        canvas.Pen.Color:= clBlack;
        canvas.Pen.Style:= psSolid;
        Canvas.Brush.Style := bsclear;
        Canvas.Font.Color := clWindowText;
        for i:=0 to (FValueMax div 1000) do
        begin
          if i=0 then
          if i=0 then
            Character(FBoardFontSizeSmall, '0',                   i,1000, 12/24,2/3, 12/24,2/3, cjCenter);//1
                                //tHgTCYA,ϐ,鐔AtHg̈ʒuWvf
          if i=2 then //2kg
            Character(FBoardFontSizeSmall, inttostr(i)+'kg', i,1000, 24/24,2/3, 24/24,3/3, cjRight);//3A
          if (((i>2) and (i<10)) and ((i mod 2)=0))then //2kg,4,6,8
            Character(FBoardFontSizeSmall, inttostr(i)     , i,1000, 12/24,2/3, 12/24,2/3, cjRight);//2
          if i=10 then //10kg
            Character(FBoardFontSizeBig, inttostr(i)+'kg', i,1000, 60/24,2/3, 12/24,3/3, cjRight);//4A
          if i=20 then //20kg
            Character(FBoardFontSizeBig, inttostr(i)+'kg', i,1000, 48/24,2/3, 24/24,2/3, cjRight);//4A
          if ((((i>=12) and (i<20)) and ((i mod 2)=0))
             or
              (((i>=22) and (i<30)) and ((i mod 2)=0))) then //2kg,12`18, 22`28,32`38
            Character(FBoardFontSizeSmall, inttostr(i)     , i,1000, 24/24,2/3, 24/24,2/3, cjCenter);//4A
          if ((i=30) or (i=40))then  //30kg,40kg
            Character(FBoardFontSizeBig, inttostr(i)+'kg', i,1000, 12/24,2/3, 60/24,3/3, cjLeft);//4A
          if ((((i>=32) and (i<40)) and ((i mod 2)=0))
             or
             (((i>=42) and (i<50)) and ((i mod 2)=0))) then //2kg,32`38, 42`48
            Character(FBoardFontSizeSmall, inttostr(i)     , i,1000, 12/24,2/3, 24/24,2/3, cjLeft);//2
          if i=50 then
            Character(FBoardFontSizeBig, inttostr(i)+'kg', i,1000, 30/24,0/3, 42/24,4/3, cjCenter);//4A
        end;
      end;
    //ődʂPOO
    vm100kg:
      begin
        canvas.Pen.Color:= clBlack;
        canvas.Pen.Style:= psSolid;
        Canvas.Brush.Style := bsclear;
        Canvas.Font.Color := clWindowText;
        for i:=0 to (FValueMax div 100) do
        begin
          if i=0 then
            Character(FBoardFontSizeSmall, '0',              i,1000, 12/24,2/3, 12/24,2/3, cjCenter);//1
                                //tHgTCYA,ϐ,鐔AtHg̈ʒuWvf
          if i=5 then
            Character(FBoardFontSizeSmall, inttostr(i)+'kg', i,1000, 36/24,2/3, 36/24,3/3, cjRight);//4A
          if ((i=10) or (i=15) or (i=25) or (i=30) or (i=35) or (i=45))then
            Character(FBoardFontSizeSmall, inttostr(i)     , i,1000, 24/24,2/3, 12/24,2/3, cjRight);//2
          if ((i=20) or (i=40))then
            Character(FBoardFontSizeBig,   inttostr(i)+'kg', i,1000, 54/24,3/3, 18/24,2/3, cjRight);//4A
          if i=50 then
            Character(FBoardFontSizeSmall, inttostr(i)     , i,1000, 38/24,3/3, 34/24,1/3, cjcenter);//2
          if ((i=55) or(i=65) or (i=70) or (i=75) or (i=85) or (i=90)or (i=95))then
            Character(FBoardFontSizeSmall, inttostr(i)     , i,1000, 12/24,2/3, 60/24,2/3, cjLeft);//4A
          if ((i=60)or (i=80))then
            Character(FBoardFontSizeBig,   inttostr(i)+'kg', i,1000, 12/24,2/3, 60/24,3/3, cjLeft);//4A
          if i=100 then
            Character(FBoardFontSizeBig,   inttostr(i)+'kg', i,1000, 36/24,0/3, 48/24,5/3, cjCenter);//4A
        end;
      end;
  end;
end;

procedure TPlatformScale.Change;
// OnChangeCxg̃CxgfBXpb`
begin
  if Assigned(FOnChange) then FOnChange(Self);
end;

procedure TPlatformScale.Resize;
//Rg[̃TCYύX
begin
  inherited;
  if FDiameter > width then begin FDiameter:=Height; width := Height; end
                       else begin FDiameter:=width; Height:= width; end;

  FWidthBorderLine:=HalfAdjust(FDiameter /160);
  FWidthHand:=HalfAdjust(FDiameter /160*7);
  FBoardFontSizeSmall:= HalfAdjust(FDiameter /160*6* FStretchRatePercent/100);
  FBoardFontSizeBig:= HalfAdjust(FDiameter /160*12* FStretchRatePercent/100);

  Invalidate;
  Change;
end;

procedure TPlatformScale.SetValue(const Value: Longword);
// d̒l[g]ύX
var
  NewValue: Longword;
  rate: byte;
begin
  NewValue := Value;
  // Vl(ʒu)O̒lƈقȂȂʒuXVOnChangeCxgN
  if (FValue <> NewValue)  then
  begin
    if NewValue>FValueMax then NewValue:= FValueMax;
    if NewValue<FValueMin then NewValue:= FValueMin;

    FValue:= NewValue;
    rate:= HalfAdjust(FValue / FValueMax *8);
    case rate of
      0: FTypeHandLocation:=hl0Top;
      1: FTypeHandLocation:=hl1RightTop;
      2: FTypeHandLocation:=hl2Right;
      3: FTypeHandLocation:=hl3RightBottom;
      4: FTypeHandLocation:=hl4Bottom;
      5: FTypeHandLocation:=hl5LeftBottom;
      6: FTypeHandLocation:=hl6Left;
      7: FTypeHandLocation:=hl7LeftTop;
     end;

    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TPlatformScale.SetValueMax(const Value: Longword);
// d̍ől[g]ύX
begin
  FValueMax := Value;
  if FValueMax <= FValueMin then FValueMin := FValueMax-1;
  if FValue > FValueMax then FValue := FValueMax;
  Invalidate;
end;

procedure TPlatformScale.SetDiameter(const Value: word);
// Ղ̒a(l)ύX
var
  NewDiameter: word;
begin
  NewDiameter := Value;

  // Vl(ʒu)O̒lƈقȂȂ璼aXVOnChangeCxgN
  if NewDiameter <> FDiameter then
  begin
    FDiameter:= NewDiameter;
    width:=FDiameter;
    height:=FDiameter;
    FBoardFontSizeSmall:= HalfAdjust(FDiameter /160* 6);
    FBoardFontSizeBig:= HalfAdjust(FDiameter /160*12);

    Invalidate;
    Change;  // OnChangeCxg
  end;
end;

procedure TPlatformScale.SetBoardFontSizeSmall(const Value: byte);
// Ղ̕iOj̃tHgTCYύX
var
  NewBoardFontSizeSmall: byte;
begin
  NewBoardFontSizeSmall := Value;
  if FBoardFontSizeSmall <> NewBoardFontSizeSmall then
  begin
    FBoardFontSizeSmall := NewBoardFontSizeSmall;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetBoardFontSizeBig(const Value: byte);
// Ղ̕ij̃tHgTCYύX
var
  NewBoardFontSizeBig: byte;
begin
  NewBoardFontSizeBig := Value;
  if FBoardFontSizeBig <> NewBoardFontSizeBig then
  begin
    FBoardFontSizeBig := NewBoardFontSizeBig;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetBoardColor(const Value: TColor);
// Ղ̐FύX
var
  NewBoardColor: Integer;
begin
  NewBoardColor := Value;
  if FBoardColor <> NewBoardColor then
  begin
    FBoardColor := NewBoardColor;

    Invalidate;
    Change;
  end;
end;


procedure TPlatformScale.SetWidthBorderLine(const Value: byte);
// ȆύX
var
  NewWidthBorderLine: byte;
begin
  NewWidthBorderLine:= Value;
  if WidthBorderLine <> NewWidthBorderLine then
  begin
    FWidthBorderLine:= NewWidthBorderLine;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetWidthScale1(const Value: byte);
// PO݂̐̑ύX
var
  NewWidthScale1: byte;
begin
  NewWidthScale1:= Value;
  if NewWidthScale1<1 then NewWidthScale1:=1;
  if WidthScale1 <> NewWidthScale1 then
  begin
    FWidthScale1:= NewWidthScale1;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetWidthScale2(const Value: byte);
// TO݂̐̑ύX
var
  NewWidthScale2: byte;
begin
  NewWidthScale2:= Value;
  if NewWidthScale2<1 then NewWidthScale2:=1;
  if WidthScale2 <> NewWidthScale2 then
  begin
    FWidthScale2:= NewWidthScale2;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetWidthScale3(const Value: byte);
// POO݂̐̑ύX
var
  NewWidthScale3: byte;
begin
  NewWidthScale3:= Value;
  if NewWidthScale3<1 then NewWidthScale3:=1;
  if WidthScale3 <> NewWidthScale3 then
  begin
    FWidthScale3:= NewWidthScale3;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetWidthHand(const Value: byte);
// j̑ύX
var
  NewWidthHand: byte;
begin
  NewWidthHand:= Value;
  if WidthHand <> NewWidthHand then
  begin
    FWidthHand:= NewWidthHand;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetTypeBoardScale(const Value: TTypeBoardScale);
//Ղ̍ݕ\̌^ :bs100:100g; bsDensely:ׂĂ
var
  NewTypeBoardScale: TTypeBoardScale;
begin
  NewTypeBoardScale:= value;
  if TypeBoardScale <> NewTypeBoardScale then
  begin
    FTypeBoardScale := Value;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetTypeHandBrush(const Value: TTypeHandBrush);
//jhԂ̌^ύX
var
  NewTypeHandBrush: TTypeHandBrush;
begin
  NewTypeHandBrush:= value;
  if TypeHandBrush <> NewTypeHandBrush then
  begin
    FTypeHandBrush := Value;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetTypeShowScalePer200(const Value: TTypeShowScalePer200);
//ŏڐ\̌^ύX
var
  NewTypeShowScalePer200: TTypeShowScalePer200;
begin
  NewTypeShowScalePer200:= value;
  if TypeShowScalePer200 <> NewTypeShowScalePer200 then
  begin
    FTypeShowScalePer200 := Value;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetTypeValueMax(const Value: TTypeValueMax);
//ődʂ̌^ύX
var
  NewTypeValueMax: TTypeValueMax;
begin
  NewTypeValueMax:= value;
  if TypeValueMax <> NewTypeValueMax then
  begin
    FTypeValueMax := Value;
    case FTypeValueMax of
      vm001kg: FValueMax:=  1000;
      vm002kg: FValueMax:=  2000;
      vm005kg: FValueMax:=  5000;
      vm010kg: FValueMax:= 10000;
      vm020kg: FValueMax:= 20000;
      vm050kg: FValueMax:= 50000;
      vm100kg: FValueMax:=100000;
    end;
    Invalidate;
    Change;
  end;
end;
procedure TPlatformScale.SetTypeHandLocation(const Value: TTypeHandLocation);
//jʒǔ^ύX
var
  NewTypeHandLocation: TTypeHandLocation;
begin
  NewTypeHandLocation:= value;
  if TypeHandLocation <> NewTypeHandLocation then
  begin
    FTypeHandLocation := Value;

    Invalidate;
    Change;
  end;
end;

procedure TPlatformScale.SetStretchRatePercent(const Value: byte);
// g嗦[%]ύX
var
  NewStretchRatePercent: byte;
begin
  NewStretchRatePercent:= Value;
  if NewStretchRatePercent<100 then NewStretchRatePercent:=100;
  if NewStretchRatePercent>200 then NewStretchRatePercent:=200;
  if StretchRatePercent <> NewStretchRatePercent then
  begin
    FStretchRatePercent:= NewStretchRatePercent;
    FBoardFontSizeBig:= HalfAdjust(FDiameter /160*12*FStretchRatePercent/100);
    FBoardFontSizeSmall:= HalfAdjust(FDiameter /160*6 *FStretchRatePercent/100);
    StretchRate:=FStretchRatePercent/100;
    Invalidate;
    Change;
  end;
end;

end.

